%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global srcname mew-vi
%global upname  mew_vi

Name:           ocaml-%{srcname}
Version:        0.5.0
Release:        %mkrel 4
Summary:        Modal Editing Witch, VI interpreter

Group:          Development/OCaml
License:        MIT
URL:            https://github.com/kandu/mew_vi
Source0:        %{url}/archive/%{version}/%{upname}-%{version}.tar.gz

BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-dune >= 1.1.0
BuildRequires:  ocaml-mew-devel >= 0.1.0
BuildRequires:  ocaml-ppx_expect-devel
BuildRequires:  ocaml-react-devel

%description
This is a vi-like modal editing engine generator.  Provide `Key`, `Mode`,
and `Concurrent` modules to define the real world environment to get a
handy vi-like modal editing engine.  Feed the the `i` channel user input
and get the vi actions from the `action_output` channel.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-mew-devel%{?_isa}
Requires:       ocaml-react-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{upname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE

%files devel -f .ofiles-devel



%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 0.5.0-4.mga10
+ Revision: 2193393
- rebuild for ocaml 5.3.0

* Thu May 19 2022 pterjan <pterjan> 0.5.0-3.mga9
+ Revision: 1859174
- Rebuild for OCaml 4.14

* Thu Oct 14 2021 tv <tv> 0.5.0-2.mga9
+ Revision: 1751404
- Rebuild for ocaml 4.13.1

* Wed Mar 24 2021 tv <tv> 0.5.0-1.mga9
+ Revision: 1708724
- imported package ocaml-mew-vi


* Wed Mar 24 2021 Thierry Vignaud <tv@mageia.org> 0.5.0-1.mga9
- Import from FC

* Mon Mar  1 16:58:00 GMT 2021 Richard W.M. Jones <rjones@redhat.com> - 0.5.0-8
- OCaml 4.12.0 build
- Make -docs subpackage conditional.

* Tue Feb  2 2021 Richard W.M. Jones <rjones@redhat.com> - 0.5.0-7
- Bump and rebuild for updated ocaml-camomile dep (RHBZ#1923853).

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Sep 01 2020 Richard W.M. Jones <rjones@redhat.com> - 0.5.0-5
- OCaml 4.11.1 rebuild

* Fri Aug 21 2020 Richard W.M. Jones <rjones@redhat.com> - 0.5.0-4
- OCaml 4.11.0 rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 17 2020 Jerry James <loganjerry@gmail.com> - 0.1.0-1
- Initial RPM
